Get a shoppable link
curl --request GET \
--url https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId} \
--header 'X-Incarts-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-Incarts-API-Key': '<api-key>'}};
fetch('https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId}"
headers = {"X-Incarts-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9",
"projectId": "proj_123",
"name": "Summer grilling basket",
"shortLink": "https://in2carts.com/abc123",
"shortId": "abc123",
"createdAt": "2023-11-07T05:31:56Z",
"publicName": "Shop the grilling list",
"products": [
{
"retailerProductId": "123456789",
"quantity": 1,
"backupProductIds": [
"987654321",
"555555555"
]
}
],
"qrCode": {
"id": "qr_lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9_default",
"linkId": "lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9",
"identifier": "default",
"name": "Default QR code",
"imageUrl": "https://firebasestorage.googleapis.com/v0/b/incarts.appspot.com/o/qrcodes%2Fexample.png?alt=media",
"encodedUrl": "https://in2carts.com/qr/qr_lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9_default",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {
"campaignId": "cmp_123"
}
},
"metadata": {
"campaignId": "cmp_123"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}Endpoints
Get a shoppable link
Retrieve an existing shoppable link by ID
GET
https://incarts-api-qob6vapoca-uc.a.run.app
/
v1
/
links
/
{linkId}
Get a shoppable link
curl --request GET \
--url https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId} \
--header 'X-Incarts-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-Incarts-API-Key': '<api-key>'}};
fetch('https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://incarts-api-qob6vapoca-uc.a.run.app/v1/links/{linkId}"
headers = {"X-Incarts-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9",
"projectId": "proj_123",
"name": "Summer grilling basket",
"shortLink": "https://in2carts.com/abc123",
"shortId": "abc123",
"createdAt": "2023-11-07T05:31:56Z",
"publicName": "Shop the grilling list",
"products": [
{
"retailerProductId": "123456789",
"quantity": 1,
"backupProductIds": [
"987654321",
"555555555"
]
}
],
"qrCode": {
"id": "qr_lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9_default",
"linkId": "lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9",
"identifier": "default",
"name": "Default QR code",
"imageUrl": "https://firebasestorage.googleapis.com/v0/b/incarts.appspot.com/o/qrcodes%2Fexample.png?alt=media",
"encodedUrl": "https://in2carts.com/qr/qr_lnk_01JZ4TDK6A0NV2HG6R3Q7E28Y9_default",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {
"campaignId": "cmp_123"
}
},
"metadata": {
"campaignId": "cmp_123"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}{
"error": {
"code": "validation_failed",
"message": "products is required for walmart add_to_cart links.",
"correlationId": "req_01JZ4TCZ7AG9P9W38V4VNQ7W4B",
"details": [
{
"field": "products",
"message": "At least one product is required."
}
]
}
}Authorizations
Headers
Client-supplied request correlation ID. The API echoes this value when provided.
Required string length:
8 - 128Path Parameters
Public Incarts link identifier.
Required string length:
3 - 128Response
Link found.
Show child attributes
Show child attributes
⌘I
